Loading ...

 
pxlmono
 
This driver is free software.
Type: Ghostscript built-in
 

Generic Instructions: CUPS, PPR, LPD/LPRng/GNUlpr, PDQ, no spooler, PPD aware applications/clients,

Important for Windows clients: The CUPS PostScript driver for Windows has a bug which makes it choking on PPD files which contain GUI texts longer than 39 characters. Therefore it is recommended to use Adobe's PostScript driver. If you still want to use the CUPS driver, please mark "GUI texts limited to 39 characters" to get an appropriate PPD file.

Select printer:
the PPD file

 

Comments

Driver for monochrome PCL 6 printers, much faster than the "lj5gray" drivers.

The "pxlmono" and the "pxlcolor" driver are the same code, the difference is only that the "pxlcolor" gives colour and the "pxlmono" grayscale output. This entry for the "pxlmono" driver lists only monochrome printers. See the "pxlcolor" driver entry for color printers.

Due to a bug in Ghostscript Duplex does not work with the "pxlmono" and the "pxlcolor" drivers. Here is a patch for GPL Ghostscript 8.63. This patch is needed so that the Duplex option of the PPDs from this site works. Setting Duplex with PJL commands does not work.

The resolution must be given both with the "-r" option on the command line of Ghostscript and as PJL command. Here is a patch for GPL Ghostscript 8.63 so that giving the PJL commands is not necessary any more. This patch is needed for the resolution option of the PPDs of this site to work.

Another Ghostscript bug in the driver broke paper input tray selection. This patch for GPL Ghostscript 8.63 fixes the problem and allows to set the input tray with the "-dMediaPosition=X" commmand line option for Ghostscript. "X" is an integer number which depends on the printer model and tray. For HP "0" is usually the printer default, "1" automatic selection, "2" manual feed, "4" the upper, and "5" the lower tray. Note that for PCL 5/5e these numbers are different. This patch is required so that tray selection with the PPDs of this site works.

GPL Ghostscript 8.63 comes with a CUPS filter ("pstopxl") and 2 PPD files for the "pxlmono" and "pxlcolor" drivers. Note that you will need all the three patches mentioned here to make the options in the PPD files actually work. With this patch the filter and the PPDs will be made ready for PDF input.

The patches are all applied to GPL Ghostscript from version 8.64 on, so they are not needed any more with this version or later versions of Ghostscript.


blog comments powered by Disqus

 

Printer list


News & announcements RSS

Latest Comments